More up to date AdPlug?

February 18, 2012 10:15 - klo nuo

Status: Closed Start date: February 18, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/adplug Estimated time: 0.00 hour

Target version: 3.7   

Affects version: 3.2.1   

Description

Hi,

I just installed Audacious 3.2.1 on Ubuntu 11.04, and wanted to address some issues in sequence. This is first one

Seems like AdPlug is form ancient XMMS version. Output is mono, w/o even thinking about surround.h from AdPlug 2.2, which is

default set for AdPlay for example

Even so, channel mixer plugin doesn't seem to be able to upmix mono to stereo (double mono) nor some LADSPA plugins I tried

Can you please consider updating AdPlug plugin or just adding an option in AdPlug plugin for double mono?

Thanks

History

#1 - February 23, 2012 22:37 - John Lindgren

Porting AdPlug to Audacious is non-trivial because the upstream source has no support for a virtualized file system.  If you would like to work on it, go

ahead.

#3 - February 23, 2012 22:38 - John Lindgren

- Category set to plugins/adplug

- Affects version  added

- Affects version deleted ()

#4 - February 24, 2012 05:49 - klo nuo

OK, unfortunately I have no such skills. I thought it wouldn't be that hard, but seems it is. Cheers

#5 - April 01, 2012 07:47 - Ariadne Conill

John Lindgren wrote:

Porting AdPlug to Audacious is non-trivial because the upstream source has no support for a virtualized file system.  If you would like to work on

it, go ahead.

 

Uhm, no?  binio_virtual.h can be trivially reworked to be used in combination with something that subclasses CAdPlug::factory.

This is infact necessary for the foobar2000 adplug plugin.
#6 - September 29, 2012 16:17 - John Lindgren

William Pitcock wrote:

Uhm, no?  binio_virtual.h can be trivially reworked to be used in combination with something that subclasses CAdPlug::factory.

This is infact necessary for the foobar2000 adplug plugin.

 

Well, when I tried, there were other modifications that would have been necessary, besides binio_virtual.h.  If you can see a trivial way to update the

plugin, then please commit it.

#7 - July 19, 2015 20:54 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7

- % Done changed from 0 to 100

AdPlug has been updated to 2.2.1 for Audacious 3.7.

Powered by TCPDF (www.tcpdf.org)

July 12, 2025 2/2

http://www.tcpdf.org

